import Taro, { Component } from '@tarojs/taro'
import { View, ScrollView } from '@tarojs/components'
import HouseCard from '../../components/HouseCard'
import { queryPreselectionRecord } from '@/services/project'
import { connect } from '@tarojs/redux'
import ready from '@/utils/ready'
import Blank from '../../components/Blank'
import './index.scss'

@connect(
  ({ user }) => ({ ...user })
)

export default class Records extends Component {
  config = {
    navigationBarTitleText: '选房记录'
  }

  state = {
    recordList: [
      {
        preselectionRecordId: 1,
        buildingName: '艾菲国际二期',
        blockName: '6栋',
        unitName: '一单元',
        roomName: '1502',
        aerialViewImg: 'https://estateagents.oss-cn-shanghai.aliyuncs.com/miniapp/upload/images/1573738541467-25667811-b020-4c1f-b57d-e65a410d6fbd3103856559286073565.jpg',
        price: '234万',
        createDate: '2020-02-8',
        status: 1
      },
      // {
      //   preselectionRecordId: 2,
      //   buildingName: '艾菲国际二期',
      //   blockName: '6栋',
      //   unitName: '一单元',
      //   roomName: '1502',
      //   aerialViewImg: 'https://estateagents.oss-cn-shanghai.aliyuncs.com/miniapp/upload/images/1573738541467-25667811-b020-4c1f-b57d-e65a410d6fbd3103856559286073565.jpg',
      //   price: '234万',
      //   createDate: '2020-02-9',
      //   status: 0
      // },
      // {
      //   preselectionRecordId: 3,
      //   buildingName: '艾菲国际二期',
      //   blockName: '6栋',
      //   unitName: '二单元',
      //   roomName: '1503',
      //   aerialViewImg: 'https://estateagents.oss-cn-shanghai.aliyuncs.com/miniapp/upload/images/1573738541467-25667811-b020-4c1f-b57d-e65a410d6fbd3103856559286073565.jpg',
      //   price: '234万',
      //   createDate: '2020-02-10',
      //   status: 1
      // },
      // {
      //   preselectionRecordId: 4,
      //   buildingName: '艾菲国际二期',
      //   blockName: '6栋',
      //   unitName: '二单元',
      //   roomName: '1504',
      //   aerialViewImg: 'https://estateagents.oss-cn-shanghai.aliyuncs.com/miniapp/upload/images/1573738541467-25667811-b020-4c1f-b57d-e65a410d6fbd3103856559286073565.jpg',
      //   price: '234万',
      //   createDate: '2020-02-11',
      //   status: 0
      // },
    ]
  }
  componentWillMount() {
    ready.queue(() => {
      console.log(this.props, "hhhhhhhhhhhhhhhhhhhhhhhhhhhhhhhhhhhhhhh")
      const { userInfo: { person: { personId } } } = this.props
      const params = {
        personId,
        pageNum: 1,
        pageSize: 999,
      }
      queryPreselectionRecord(params).then(res => {
        this.setState({
          recordList: res || []
        })
      })
    })

  }

  render() {
    const { recordList } = this.state

    return (
      <View className="records" >

        {
          !recordList.length ? <Blank tips="暂无预选记录" /> :
            <ScrollView scrollY>
              {
                recordList.map((item) => {
                  return (
                    <View className="carditem" key={item.preselectionRecordId}>
                      <HouseCard summary={item} />
                    </View>
                  )
                })
              }
            </ScrollView >
        }

      </View >
    )
  }
}
