import { fetch } from '@/utils/request'
import {
  API_HOUSE_LIST,
  API_PRESELECTION_RECORD,
  API_HOUSE_DETAIL,
  API_ADD_PRESELECTION,
  API_CANCEL_PRESELECTION,
  API_APARTMENT_TYPE
} from '@/constants/api'


/**
 * 获取房源列表
 * @param {*} payload
 */
export const queryHouseList = payload => fetch({ url: API_HOUSE_LIST, payload })

/**
 * 预选房源
 * @param {*} payload
 */
export const addPreselection = payload => fetch({ url: API_ADD_PRESELECTION, payload, method: 'POST' })
/**
 * 取消预选房源
 * @param {*} payload
 */
export const cancelPreselection = payload => fetch({ url: API_CANCEL_PRESELECTION, payload, method: 'POST' })
/**
 * 获取房源详情
 * @param {*} payload
 */
export const queryHouseDetail = payload => fetch({ url: API_HOUSE_DETAIL, payload })

/**
 * 获取选房记录
 * @param {*} payload
 */
export const queryPreselectionRecord = payload => fetch({ url: API_PRESELECTION_RECORD, payload })
/**
 * 获取某销售批次下所有房源户型
 * @param {*} payload
 */
export const queryApartmentType= payload => fetch({ url: API_APARTMENT_TYPE, payload })



